# Fetch user time entry

Retrieves a single time entry for a user by its ID.

Endpoint: GET /users/{user_id}/time_entries/{id}
Version: v1
Security: AuthToken

## Path parameters:

  - `user_id` (integer, required)
    The ID of the user.

  - `id` (integer, required)
    The ID of the time entry.

## Response 200 fields (application/json):

  - `id` (integer)
    Unique identifier for the time entry.
    Example: 100000

  - `user_id` (integer, required)
    The ID of the user (licensed user only) associated with the time entry.
    Example: 123

  - `assignable_id` (integer, required)
    The ID of the assigned Project, Phase, or Leave Type.
    Example: 1001

  - `assignable_type` (string)
    The type of the assignable resource.
    Enum: "Project", "LeaveType"

  - `date` (string, required)
    The date of the time entry.
    Example: "2024-09-12"

  - `hours` (number, required)
    The number of hours confirmed. Can be null.

  - `is_suggestion` (boolean)
    Indicates if the time entry is a suggestion.
    Example: true

  - `scheduled_hours` (number,null)
    The number of scheduled hours for the time entry.
    Example: 8

  - `task` (string,null)
    The task category. Can be null.

  - `notes` (string,null)
    Additional notes for the time entry. Can be null.

  - `bill_rate` (number,null)
    The hourly rate for the time entered.
    Example: 150

  - `bill_rate_id` (integer,null)
    The ID of the billing rate.
    Example: 4

  - `created_at` (string)
    Timestamp when the time entry was created.
    Example: "2024-09-12T04:32:28Z"

  - `updated_at` (string)
    Timestamp when the time entry was last updated.
    Example: "2024-09-18T04:32:28Z"

## Response 404 fields (application/json):

  - `message` (string)
    Example: "not found"


